/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  GLite Data Transfer Agents: AgentHeartbeat Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: AgentHeartbeat.h,v 1.2 2006/08/14 08:37:22 badino Exp $
 *  Release: $Name: glite-data-transfer-agents_R_3_0_2_2 $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_AGENTHEARTBEAT_H_
#define GLITE_DATA_TRANSFER_AGENTS_AGENTHEARTBEAT_H_
#include "glite/data/transfer/agent/model/Agent.h"
#include "glite/data/agents/dao/DAOContext.h"
#include <boost/utility.hpp>

#include <string>

namespace log4cpp{
    class Category;
}

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {

/**
 * The purpose of that Action is to set the lastActive timestamp for an agent
 */
template<class F>
class AgentHeartbeat : boost::noncopyable{

public:
    /**
     * Constructor
     */
    AgentHeartbeat();

    /**
     * Destructor
     */
    ~AgentHeartbeat();

    /**
     * Execute The Action
     */
    void run(class agents::dao::DAOContext& ctx, const std::string& name) /*throw (DAOException, LogicError)*/;
 
private:
    
    /**
     * The Logger
     */
    class log4cpp::Category& m_logger;
};

} // End namespace agent
} // End namespace transfer
} // End namespace data
} // End namespace glite


#include "glite/data/transfer/agent/AgentHeartbeat.inl"

#endif //GLITE_DATA_TRANSFER_AGENTS_AGENTHEARTBEAT_H_
