/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  GLite Data Transfer Agents: ExecuteException Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: ExecuteException.h,v 1.2 2006/08/14 08:37:40 badino Exp $
 *  Release: $Name: glite-data-transfer-agents_R_3_0_2_2 $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_ACTION_EXECUTEEXCPETION_H_
#define GLITE_DATA_TRANSFER_AGENTS_ACTION_EXECUTEEXCPETION_H_

#include "glite/data/agents/AgentExceptions.h"

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace action  {
    
/**
 * The ExecuteException is thrown when an error happens executing an Agent 
 * Action
 */
class ExecuteException : public glite::data::agents::RuntimeError {
public:

    /**
     * Constructor
     * @param reason [IN] the reason of the error
     */
    ExecuteException(const std::string reason):glite::data::agents::RuntimeError(reason){}

    /**
     * Destructor
     */
    virtual ~ExecuteException() throw() {}
};

} // end namespace action
} // end namespace agent
} // end namespace transfer
} // end namespace data
} // end namespace glite

#endif //GLITE_DATA_TRANSFER_AGENTS_ACTION_EXECUTEEXCPETION_H_
