/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  GLite Data Transfer Agents: TSSDAOContext 
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: TSSDAOContext.h,v 1.2 2006/08/14 08:37:45 badino Exp $
 *  Release: $Name: glite-data-transfer-agents_R_3_0_2_2 $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_DAO_TSSDAOCONTEXT_H_
#define GLITE_DATA_TRANSFER_AGENTS_DAO_TSSDAOCONTEXT_H_

#include "glite/data/agents/dao/DAOContext.h"
#include "glite/data/agents/extra/TSS.h"

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace dao     {
    
// -----------------------------------------------------------------------------
// -----------------------------------------------------------------------------
// Declare the TSS for the DAO Context (plugins can use it in order to retrieve 
// the correct Agent's context)
// -----------------------------------------------------------------------------
// -----------------------------------------------------------------------------
extern agents::TSS<agents::dao::DAOContext> g_tss_dao_context;
    
} // End namespace dao
} // End namespace agent
} // End namespace transfer
} // End namespace data
} // End namespace glite


#endif //GLITE_DATA_TRANSFER_AGENTS_DAO_TSSDAOCONTEXT_H_
