/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  GLite Data Transfer Agents: ChannelViewJobDAO Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: JobDAO.h,v 1.2 2006/08/14 08:37:46 badino Exp $
 *  Release: $Name: glite-data-transfer-agents_R_3_0_2_2 $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_DAO_CHANNEL_JOBDAO_H_
#define GLITE_DATA_TRANSFER_AGENTS_DAO_CHANNEL_JOBDAO_H_

#include "glite/data/transfer/agent/model/Job.h"
#include "glite/data/transfer/agent/dao/JobDAO.h"

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace dao     {
namespace channel {

/**
 * Data Access Object For the model::Job class
 * @interface
 */
class JobDAO : public glite::data::transfer::agent::dao::JobDAO {
public:
    /**
     * Destructor
     */
    virtual ~JobDAO(){}
        
    /**
     * Return the list of job Ids that need to be updated since the related files
     * were modified by the VO Agent: Job state should be active and the related 
     * file states can only be Done, Canceled, Hold or Failed 
     */
    virtual void getJobsToFix(agents::dao::StringArray& job_ids, unsigned int limit = 0) /*throw (DAOException,DAOLogicError)*/ = 0;
};

} // End namespace channel
} // End namespace dao
} // End namespace agent
} // End namespace transfer
} // End namespace data
} // End namespace glite


#endif //GLITE_DATA_TRANSFER_AGENTS_DAO_CHANNELVIEWJOBDAO_H_
