/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  GLite Data Transfer Agents: NameGenerationException Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: NameGenerationException.h,v 1.2 2006/08/14 08:37:50 badino Exp $
 *  Release: $Name: glite-data-transfer-agents_R_3_0_2_2 $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_NAMEGEN_NAMEGENERATIONEXCEPTION_H_
#define GLITE_DATA_TRANSFER_AGENTS_NAMEGEN_NAMEGENERATIONEXCEPTION_H_

#include "glite/data/agents/AgentExceptions.h"

namespace glite    {
namespace data     {
namespace transfer {
namespace agent    {
namespace namegen  {
    
/**
 * The Exception is thrown when an error happens on CertProxyService
 */
class NameGenerationException : public glite::data::agents::ExecutionError {
public:

    /**
     * Constructor
     * @param reason [IN] the reason of the error
     */
    NameGenerationException(const std::string& reason):glite::data::agents::ExecutionError(reason){}

    /**
     * Destructor
     */
    virtual ~NameGenerationException() throw() {}
    
private:

    /**
     * Default Constructor Not Implemented
     */
    NameGenerationException();
};

} // end namespace namegen
} // end namespace agent
} // end namespace transfer
} // end namespace data
} // end namespace glite

#endif //GLITE_DATA_TRANSFER_AGENTS_NAMEGEN_NAMEGENERATIONEXCEPTION_H_
